package org.argosdic.action.program;

import org.argosdic.ArgosDic;
import org.argosdic.action.BaseAction;
import org.eclipse.swt.widgets.Event;

/**
 * SearchAction.java
 * @author Xavier Cho
 * @version $Revision: 1.1 $ $Date: 2003/09/21 08:31:54 $
 */
public class SearchAction extends BaseAction {

    public SearchAction(ArgosDic application) {
        super(application);

        setEnabled(false);
    }

    /**
     * @see org.eclipse.jface.action.IAction#runWithEvent(org.eclipse.swt.widgets.Event)
     */
    public void runWithEvent(Event event) {
        application.search();
    }
}
